<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$groups = groups::load_ini();
$doc = new document(4);
$doc -> title = 'Статус';



if (isset($_GET['id_ank']))$ank = new user($_GET['id_ank']);else $ank = $user;


if (!$ank->group)
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=/');

$doc->err('Нет данных');
exit;
}


$doc->title.=' "'.$ank->login.'"';



if ($ank->group >= $user->group)
{

if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=/');

$doc->err('Ваш статус не позволяет производить действия с данным пользователем');
exit;
}

if (isset($_POST['save']) && !empty($_POST['group']))
{
$group_now=(int)$_POST['group'];
if ($group_now>=$user->group)$doc->err('Вы не можете дать пользователю статус эквивалентный своему или выше');
else
{
$group_last=$ank->group;
if ($group_last!=$group_now)
{
mysql_query("INSERT INTO `log_of_user_status` (`id_user`, `id_adm`, `time`, `type_last`, `type_now`) VALUES ('$ank->id', '$user->id', '".TIME."', '$group_last', '$group_now')");
$ank->group =$group_now;
$doc->msg('"'.$ank->login.'" теперь "'.groups::name($ank->group).'"');
}
}
}


$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action',"?id_ank=$ank->id&amp;".passgen().(isset($_GET['return'])?'&amp;return='.urlencode($_GET['return']):null));
$elements=array();



$options=array();
foreach ($groups as $group=>$value) {
if ($group && $user->group > $group)
$options[]=array($group,$value['name'],$group == $ank->group);
}
$elements[]=array('type'=>'select', 'br'=>1, 'title'=>'Статус', 'info'=>array('name' => 'group','options' => $options));


$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'save', 'value'=>'Изменить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');






$doc->ret('Действия','user.actions.php?id='.$ank->id);
$doc->ret('Анкета "'.$ank->login.'"','/profile.view.php?id='.$ank->id);
$doc->ret('Админка','/dpanel/');
?>
